Bug 1539310 - ASB bootstrap fail while using file authenticate type since failed to read registry credentials from file
Summary: ASB bootstrap fail while using file authenticate type since failed to read re...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.9.0
Assignee: Dylan Murray
QA Contact: Zhang Cheng
URL:
Whiteboard:
Depends On:
Blocks: 1535026
TreeView+ depends on / blocked
 
Reported: 2018-01-27 17:56 UTC by Zhang Cheng
Modified: 2018-06-27 18:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-06-27 18:01:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2013 None None None 2018-06-27 18:01:53 UTC

Comment 1 Dylan Murray 2018-01-30 15:47:11 UTC
Zhang,

Can you please confirm that you mounted the credentials file into /tmp/ on the ASB pod? That would be the only way this would work and I didn't see you mention that. Please confirm you did that so I can retest.

Comment 2 Dylan Murray 2018-01-31 16:41:21 UTC
Zhang,

I can confirm that `auth_type`: file works for me. I believe the problem is that you never created an associated file in the asb deployment config.

To test again, you must first create file reg-creds.yaml:
---
username: <username>
password: <password>

Create a secret from this file:
oc create secret generic registry-credentials-secret --from-file reg-creds.yaml

Edit the asb deployment config to mount this file into /tmp/registry-credentials/reg-creds.yaml:
under containers/volumeMounts:
        - mountPath: /tmp/reistry-credentials
          name: reg-auth
under volumes:
      - name: reg-auth
        secret:
          defaultMode: 420
          secretName: registry-credentials-secret

Set auth_name to /tmp/registry-credentials/reg-creds.yaml

This worked for me using the `openshift` adapter and using rocketchat as the image.

Comment 3 Zhang Cheng 2018-02-01 05:33:04 UTC
Dylan,

LGTM after double check, that because my mount not succeed. Thanks.

Comment 5 errata-xmlrpc 2018-06-27 18:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2013


Note You need to log in before you can comment on or make changes to this bug.